Bug 368281 - makedb cannot make db files outside of /var/db
Summary: makedb cannot make db files outside of /var/db
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nss_db   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 368501
TreeView+ depends on / blocked
 
Reported: 2007-11-06 14:54 UTC by Sean Dilda
Modified: 2013-04-15 08:53 UTC (History)
0 users

Fixed In Version: RHBA-2007-1145
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-20 16:39:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:1145 normal SHIPPED_LIVE nss_db bug fix update 2007-12-20 16:39:32 UTC

Description Sean Dilda 2007-11-06 14:54:06 UTC
Description of problem:

When attempting to create a db file outside of /var/db, makedb gives an error
about being unable to determine the context for the file.

It works fine if the file is in /var/db.  I believe this is related to the fix
for https://bugzilla.redhat.com/show_bug.cgi?id=136522

Version-Release number of selected component (if applicable):

nss_db-2.2-35.1

How reproducible:

Every time


Steps to Reproduce:
1.  mkdir /tmp/foo
2.  Edit /var/db/Makefile so that the VAR_DB line points to /tmp/foo
3.  cd /var/db ; make
  
Actual results:

[root@svartalfheim db]# make
passwd... makedb: cannot determine file context for `/tmp/foo/passwd.db'
make: *** [/tmp/foo/passwd.db] Error 1


Expected results:

passwd... done.
group... done.
protocols... done.
rpc... done.
services... done.
shadow... done.


Additional info:

Comment 1 Nalin Dahyabhai 2007-11-06 16:43:22 UTC
Should be a relatively simple change to the patch which adds labeling of files.
 Test cases will entail calling makedb directly using various destination
filenames, in permissive and enforcing mode, and making sure that it exits with
an error message only if the file is supposed to have a specific label, passing
that label to setfscreatecon() generated an error, and we're in enforcing mode.

Comment 6 errata-xmlrpc 2007-12-20 16:39:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-1145.html



Note You need to log in before you can comment on or make changes to this bug.